Summary: Converts WWW Active Server Pages to PHP pages
Name: asp2php
Version: 0.76.18
Release: 2
License: GPL
Group: Development/Tools
Source0: http://www.mikekohn.com/asp2php/asp2php-0.76.18.tar.gz
Patch0: asp2php-0.76.18-ttype.patch
URL: http://asp2php.naken.cc/
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gtk2-devel, pkgconfig

%package gtk
Summary: gtk+ frontend for asp2php
Group: Development/Tools
Requires: %{name} = %{version}

%description
asp2php is a standalone tool for converting ASP scripts into
PHP scripts 

%description gtk
gtk+ frontend to asp2php

%prep
%setup 
%patch0 -p1 -b .ttype

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -Wall"
make -C src gtkasp2php CFLAGS="`pkg-config --cflags --libs gtk+-2.0`"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -f asp2php src/gtkasp2php $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENSE
%{_bindir}/asp2php

%files gtk
%defattr(0755,root,root)
%{_bindir}/gtkasp2php

%changelog
* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Nov 24 2003 Joe Orton <jorton@redhat.com> 0.76.18-1
- update to 0.76.18; build against gtk2
- fix #110693

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 0.76.2-4
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Mar 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.76.2-1
- 0.76.2

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Nov 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.75.24-1
- 0.75.24

* Wed Sep 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.75.22-1
- 0.75.22

* Sun Jul  8 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.75.17-1
- 0.75.17

* Wed Jun 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.75.14-2
- Change summary (#41891)

* Tue May  8 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.75.14-1
- 0.75.14

* Sat Apr 14 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.75.13

* Wed Jan 10 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.75.11

* Sat Aug 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.75.5

* Thu Jul 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix documentation (Bug #14330)
- 0.75.2

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Preston Brown <pbrown@redhat.com>
- 0.75.1, and license changes to GPL

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.75.0

* Sun Jun 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- It's official now: GPL

* Fri Jun  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- build in main dist, now that it's open-sourced.

* Tue May 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.74.3, now that we have PHP 4.x...
- update URL
- REALLY fix munged summary for asp2php-gtk

* Thu Feb 10 2000 Tim Powers <timp@redhat.com>
- fixed munged groups/descriptions/summaries

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
